use anyhow::Result;
use clap::Parser;
use sb_ruleset_sync::cli::Args;

#[tokio::main]
async fn main() -> Result<()> {
    // 1. Parse command-line arguments.
    let args = Args::parse();

    // 2. Execute the main application logic from the library.
    if let Err(e) = sb_ruleset_sync::run(args).await {
        eprintln!("\nError: {e:?}");
        std::process::exit(1);
    }

    Ok(())
}
